{ config, lib, pkgs, ... }:
{
  home = lib.mkIf config.home.chat.enable {
    packages = with pkgs; [
      element-desktop
      vesktop
      wasistlos
    ];
    persistence."${config.xdg.userDirs.extraConfig.XDG_PERSIST_DIR}".directories =
      with lib; with config.home; with config.xdg; [
        "data/${removePrefix "${homeDirectory}/" configHome}/Element"
        "data/${removePrefix "${homeDirectory}/" configHome}/vesktop"
        "data/${removePrefix "${homeDirectory}/" cacheHome}/wasistlos"
      ];
  };
}
